<?
if (is_file(H."sys/obmen/screens/128/$file_id[id].gif"))
{
echo "<img src='/sys/obmen/screens/128/$file_id[id].gif' alt='Скрин...' /><br />\n";
}
if ($file_id['opis']!=NULL)
{
echo "Описание: ";

echo trim(br(links($file_id['opis'])));

echo "<br />\n";
}

echo "Добавлен: ".vremja($file_id['time'])."<br />\n";



if (class_exists('ffmpeg_movie')){
$media = new ffmpeg_movie($file);

if (intval($media->getDuration())>3599)
echo 'Время: '.intval($media->getDuration()/3600).":".date('s',fmod($media->getDuration()/60,60)).":".date('s',fmod($media->getDuration(),3600))."<br />\n";
elseif (intval($media->getDuration())>59)
echo 'Время: '.intval($media->getDuration()/60).":".date('s',fmod($media->getDuration(),60))."<br />\n";
else
echo 'Время: '.intval($media->getDuration())." сек<br />\n";
echo "Битрейт: ".ceil(($media->getBitRate())/1024)." KBPS<br />\n";
if($media->getAudioChannels()==1)echo "Тип: Mono<br />\n";else echo "Тип: Stereo<br />\n";
echo 'Дискретизация: '.$media->getAudioSampleRate()." Гц<br />\n";
if(($media->getArtist())<>""){
if (function_exists('iconv'))
echo 'Исполнитель: '.iconv('windows-1251', 'utf-8', $media->getArtist())."<br />\n";
else
echo 'Исполнитель: '.$media->getArtist()."<br />\n";
}
if(($media->getGenre())<>"")echo 'Жанр: '.$media->getGenre()."<br />\n";
}
else
{
include_once H.'sys/inc/mp3.php';
$id3 = new MP3_Id(); 
  $result = $id3->read($file); 
  $result = $id3->study();
if(($id3->getTag('length')<>0)){echo 'Время: '.$id3->getTag('length')."<br />\n";}
if(($id3->getTag('bitrate'))<>0){echo'Битрейт: '.$id3->getTag('bitrate')." KBPS<br />\n";}
if(($id3->getTag('mode'))<>""){echo 'Тип: '.$id3->getTag('mode')."<br />\n";}
if(($id3->getTag('frequency'))<>0){echo 'Дискретизация: '.$id3->getTag('frequency')." Гц<br />\n";}
if(($id3->getTag('album'))<>""){
if (function_exists('iconv'))
echo 'Альбом: '.iconv('windows-1251', 'utf-8', $id3->getTag('album'))."<br />\n";
else
echo 'Альбом: '.$id3->getTag('album')."<br />\n";
}
if(($id3->getTag('artists'))<>""){
if (function_exists('iconv'))
echo 'Исполнитель: '.iconv('windows-1251', 'utf-8', $id3->getTag('artists'))."<br />\n";
else
echo 'Исполнитель: '.$id3->getTag('artists')."<br />\n";
}
if(($id3->getTag('genre'))<>""){echo 'Жанр: '.$id3->getTag('genre')."<br />\n";}
}

echo "Размер: ".size_file($size)."<br />\n";
echo '
<object type="application/x-shockwave-flash" data="/sys/dewplayer-vol.swf?mp3=http://'.$_SERVER['HTTP_HOST'].'/obmen'.$dir_id['dir'].''.urlencode($file_id['name']).'.'.$file_id['ras'].'&amp;at=2&amp;bgcolor=FFFFFF&amp;showtime=1" width="240" height="20">

<param name="movie" value="http://'.$_SERVER['HTTP_HOST'].'/sys/dewplayer-vol.swf?mp3=http://'.$_SERVER['HTTP_HOST'].'/obmen'.$dir_id['dir'].''.urlencode($file_id['name']).'.'.$file_id['ras'].'&amp;at=2&amp;showtime=1" />

</object><br />
';
?>